<?php

declare(strict_types=1);

namespace App\Administration\Domain\Exception;

use App\Administration\Domain\Model\TeacherAssignment\TeacherAssignmentId;
use DomainException;

use function sprintf;

final class AffectationNotFoundException extends DomainException
{
    public static function withId(TeacherAssignmentId $id): self
    {
        return new self(sprintf(
            'L\'affectation avec l\'ID "%s" n\'a pas été trouvée.',
            $id,
        ));
    }
}
